Bug 460707 - Review Request: httperf - Tool for measuring web server performance
Review Request: httperf - Tool for measuring web server performance
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lucian Langa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-29 18:25 EDT by Thomas Moschny
Modified: 2008-10-30 08:50 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-16 14:07:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lucilanga: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Thomas Moschny 2008-08-29 18:25:43 EDT
Spec URL: http://thm.fedorapeople.org/httperf.spec
SRPM URL: http://thm.fedorapeople.org/httperf-0.9.0-1.fc9.src.rpm

Description:
Httperf is a tool for measuring web server performance. It provides a
flexible facility for generating various HTTP workloads and for
measuring server performance. The focus of httperf is not on
implementing one particular benchmark but on providing a robust,
high-performance tool that facilitates the construction of both micro-
and macro-level benchmarks. The three distinguishing characteristics
of httperf are its robustness, which includes the ability to generate
and sustain server overload, support for the HTTP/1.1 and SSL
protocols, and its extensibility to new workload generators and
performance measurements.
Comment 1 Lucian Langa 2008-10-11 08:01:45 EDT
Review:

OK  source files match upstream :
    2968c36b9ecf3d98fc1f2c1c9c0d9341 httperf-0.9.0.tar.gz
OK  package meets naming and versioning guidelines.
OK  specfile is properly named, is cleanly written and uses macros consistently.
OK  summary is OK.
OK  description is OK.
OK  dist tag is present.
OK  build root
OK  license field matches the actual license.
OK  license is open source-compatible. license text not included upstream.
OK  BuildRequires are proper.
N/A compiler flags are appropriate.
OK  %clean is present.
OK  package builds in mock (rawhide, x86_64).
OK  package installs properly.
OK  debuginfo package looks complete.
OK  rpmlint is silent.
OK  final provides and requires are sane:
   httperf = 0.9.0-1.fc10
   httperf(x86-64) = 0.9.0-1.fc10
  =
   libc.so.6()(64bit)  
   libc.so.6(GLIBC_2.2.5)(64bit)  
   libc.so.6(GLIBC_2.3)(64bit)  
   libc.so.6(GLIBC_2.3.4)(64bit)  
   libc.so.6(GLIBC_2.4)(64bit)  
   libm.so.6()(64bit)  
   libm.so.6(GLIBC_2.2.5)(64bit)  
   libnsl.so.1()(64bit)  
   libresolv.so.2()(64bit)  
   rpmlib(CompressedFileNames) <= 3.0.4-1
   rpmlib(PayloadFilesHavePrefix) <= 4.0-1
   rtld(GNU_HASH)
OK  no shared libraries are added to the regular linker search paths.
N/A owns the directories it creates.
OK  doesn't own any directories it shouldn't.
OK  no duplicates in %files.
OK  file permissions are appropriate.
OK  no scriptlets present.
OK  code, not content.
OK  documentation is small, so no -doc subpackage is necessary.
OK  no headers.
OK  no pkgconfig files.
OK  no static libraries.
OK  no libtool .la files.
N/A not GUI application.

Suggestion:
    https://fedoraproject.org/wiki/Packaging/Guidelines#Timestamps
    To preserve timestamps you could consider using:
   make install INSTALL="%{__install} -p" DESTDIR=%{buildroot}


APPROVED.
Comment 2 Thomas Moschny 2008-10-11 19:12:29 EDT
Thanks for the review!


New Package CVS Request
=======================
Package Name: httperf
Short Description: Tool for measuring web server performance
Owners: thm
Branches: F-8 F-9
InitialCC: none
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2008-10-12 21:54:26 EDT
cvs done.
Comment 4 Fedora Update System 2008-10-14 03:25:41 EDT
httperf-0.9.0-2.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/httperf-0.9.0-2.fc8
Comment 5 Fedora Update System 2008-10-14 03:29:30 EDT
httperf-0.9.0-2.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/httperf-0.9.0-2.fc8
Comment 6 Fedora Update System 2008-10-30 08:49:40 EDT
httperf-0.9.0-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-10-30 08:50:26 EDT
httperf-0.9.0-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.